Snooze tickets until a specified date
POST
/openapi/thread/snooze
const url = 'https://open-api.replyco.com/openapi/thread/snooze';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'}, body: '{ "ids": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "date": "2026-04-15T12:00:00Z" }'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://open-api.replyco.com/openapi/thread/snooze \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json-patch+json' \ --data '{ "ids": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "date": "2026-04-15T12:00:00Z" }'Temporarily hides tickets from the active queue until a specified date/time. Snoozed tickets will automatically reappear when the snooze date is reached.
Requirements:
- Snooze date must be in the future
- Maximum 100 thread IDs per request
- Minimum snooze duration: 1 hour
- Maximum snooze duration: 365 days
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Snooze model containing thread IDs and target date/time
object
ids
Array<string>
date
string format: date-time
Example generated
{ "ids": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "date": "2026-04-15T12:00:00Z"}object
ids
Array<string>
date
string format: date-time
Example generated
{ "ids": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "date": "2026-04-15T12:00:00Z"}object
ids
Array<string>
date
string format: date-time
Example generated
{ "ids": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "date": "2026-04-15T12:00:00Z"}object
ids
Array<string>
date
string format: date-time
Example generated
{ "ids": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "date": "2026-04-15T12:00:00Z"}Responses
Section titled “Responses”Tickets were successfully snoozed
Invalid request (e.g., past date, too many IDs, invalid date range)
User is not authenticated or authorized
One or more thread IDs were not found